Strumento di diagnostica DirectX

La documentazione relativa allo strumento di diagnostica Microsoft® DirectX® contiene i seguenti argomenti:

  • Informazioni sullo strumento di diagnostica DirectX
  • Lettura delle informazioni sui problemi
  • Testing dei componenti DirectX
  • Modifica delle impostazioni predefinite
  • Ripristino dei driver
  • Salvataggio delle informazioni
  • Creazione di rapporti sui problemi


Informazioni sullo strumento di diagnostica DirectX

Lo strumento di diagnostica DirectX® fornisce informazioni relative ai componenti e ai driver dell'interfaccia di programmazione dell'applicazione (API) Microsoft® DirectX e consente di testare la qualità di audio e grafica e i provider di servizio DirectPlay®. Grazie a questo strumento è inoltre possibile disattivare alcune funzionalità di accelerazione hardware.

È possibile utilizzare questo strumento per raccogliere informazioni da fornire telefonicamente a un responsabile del Servizio Supporto Tecnico Clienti oppure da salvare in un messaggio di posta elettronica.

Le informazioni sono presentate su una serie di schede. Per passare da una scheda all'altra, utilizzare uno dei metodi seguenti:

  • Fare clic sulle schede.
  • Fare clic sul pulsante Successiva.
  • Posizionare il puntatore del mouse su una scheda e premere il tasto freccia SINISTRA o freccia DESTRA.

Nota È possibile che alcune informazioni, ad esempio la quantità di memoria disponibile in una scheda video, siano approssimative.


Lettura delle informazioni sui problemi

Se durante l'esecuzione delle applicazioni DirectX si verificano dei problemi, sarà possibile trovarne la causa grazie allo strumento di diagnostica DirectX. Di seguito viene fornito un elenco delle informazioni da cercare:

  • Versioni non corrette dei componenti DirectX. Nella casella Note della scheda File DirectX cercare i messaggi di avviso relativi ai file beta e di debug. I file beta sono versioni di prova che non dovrebbero essere installate con le versioni finali. I file di debug sono versioni utilizzate nello sviluppo dei programmi e non dovrebbero ugualmente essere installati con il prodotto finale poiché rallentano notevolmente l'esecuzione delle applicazioni.
  • Driver non certificati. Cercare i driver contrassegnati come non certificati nell'elenco dei file nella scheda Driver DirectX. Nella casella Note delle schede Schermo, Audio e Input potrebbero essere visualizzati altri tipi di problemi. Microsoft non ha ancora testato la completa compatibilità dei driver non certificati con l'ultima versione di DirectX.
  • Mancanza di accelerazione hardware. Se l'accelerazione hardware di DirectDraw® o Direct3D® non è disponibile, l'esecuzione di alcuni programmi risulterà molto lenta o addirittura impossibile. Nella casella di gruppo Funzionalità DirectX della scheda Schermo verificare che DirectDraw o Direct3D sia contrassegnato dalla voce "Nessuna accelerazione". In caso affermativo, si consiglia di aggiornare l'hardware in uso.
  • Periferica non collegata. Se un joystick o un'altra periferica di input non risponde, è possibile che non sia configurata in modo corretto. Accertarsi che la periferica sia presente nella scheda Input dello strumento di diagnostica DirectX. In caso contrario, aggiungerla utilizzando il Pannello di controllo.


Testing dei componenti DirectX

È possibile testare DirectDraw e Direct3D su ogni monitor collegato al computer, DirectSound® su ogni periferica di output Wave e DirectMusic® su ogni porta musicale.

Fare clic sul pulsante Test, leggere i messaggi visualizzati e osservare o ascoltare i test. Eseguire ogni test fino alla visualizzazione di un messaggio che chiede se il test è stato completato correttamente. Se si risponde No, non saranno eseguiti ulteriori test.

Per DirectMusic viene eseguito un unico test. Scegliere OK per interrompere l'esecuzione della musica sia che sia stata riprodotta correttamente o meno.

È inoltre possibile testare la funzionalità di DirectPlay su un qualsiasi provider di servizi disponibile.

Per testare DirectPlay:

  1. Fare clic sul pulsante Test DirectPlay nella scheda Rete. Nella finestra di dialogo Test DirectPlay digitare un nome utente e scegliere un provider di servizi. Selezionare Crea nuova sessione e scegliere OK. Se si è scelta una connessione modem, fare clic su Rispondi nella finestra di dialogo Connessione modem per mettere il modem in modalità di risposta automatica.
  2. Eseguire ora lo strumento di diagnostica DirectX su un altro computer in grado di stabilire la connessione selezionata con il primo computer. Fare clic sul pulsante Test DirectPlay, digitare un nome utente diverso, scegliere lo stesso provider di servizi, selezionare Partecipa a sessione esistente e infine scegliere OK. Per alcuni tipi di connessione potrebbe essere necessario fornire ulteriori informazioni, ad esempio un numero di telefono. Per una connessione TCP/IP su una rete locale è possibile lasciare vuota la casella di testo.
  3. Sul secondo computer dovrebbe ora essere visualizzato un Elenco sessioni contenente il nome della sessione creata sul primo computer. Selezionare il nome della sessione e scegliere OK.
  4. Su entrambi i computer dovrebbe ora essere visualizzata una finestra di Chat. Digitare un messaggio in uno dei computer e fare clic sul pulsante Invia. Il messaggio dovrebbe essere visualizzato nell'area con barra di scorrimento della finestra di dialogo di Chat su entrambi i computer.


Modifica delle impostazioni predefinite

Nella scheda Audio è possibile impostare un livello di accelerazione hardware diverso spostando il dispositivo di scorrimento. Tale impostazione rimane attiva anche dopo la chiusura dello strumento di diagnostica DirectX.

Nota Questa funzionalità non è disponibile in Windows® 95.

Nella scheda Schermo relativa a ogni periferica video installata nel sistema è possibile disattivare l'accelerazione hardware di DirectDraw o Direct3D, se disponibile, facendo clic sul pulsante Disattiva. Una volta disattivata l'accelerazione, questa rimane disattivata anche dopo aver chiuso lo strumento di diagnostica DirectX e non sarà disponibile per altre applicazioni. Per riattivarla, fare clic sul pulsante Attiva.

Nota Disattivando l'accelerazione di DirectDraw viene disattivata anche l'accelerazione di Direct3D.

È inoltre possibile ignorare la frequenza di aggiornamento del monitor impostata dalle applicazioni a schermo intero DirectDraw. Si consiglia di eseguire questa operazione solo se si verificano problemi di visualizzazione con alcune applicazioni e si hanno buoni motivi per credere che nell'applicazione sia impostata una frequenza di aggiornamento non corretta.

Per impostare una frequenza di aggiornamento diversa:

  1. Fare clic sul pulsante Sostituisci nella scheda Altri argomenti.
  2. Nella finestra di dialogo Sostituisci frequenza di aggiornamento di DirectDraw fare clic nella casella di testo e digitare una frequenza di aggiornamento valida per il monitor. Eseguendo tale operazione il pulsante di opzione Sostituisci con verrà selezionato automaticamente.
  3. Scegliere OK.

Per annullare l'impostazione della frequenza di aggiornamento in modo che venga impostata la frequenza appropriata per ogni applicazione DirectDraw:

  1. Fare clic sul pulsante Sostituisci nella scheda Altri argomenti.
  2. Nella finestra di dialogo Sostituisci frequenza di aggiornamento di DirectDraw selezionare il pulsante di opzione Impostazioni predefinite.
  3. Scegliere OK.


Ripristino dei driver

In alcune configurazioni lo strumento di diagnostica DirectX® consente il ripristino di driver audio e video precedenti. Si tratta probabilmente del modo migliore per risolvere i problemi relativi ai driver non compatibili.

Se nella scheda Altri argomenti viene visualizzato il pulsante Ripristina, fare clic su di esso per eseguire il programma di installazione di DirectX.

Nella finestra del programma di installazione di DirectX sono presenti due pulsanti: Ripristina i driver audio e Ripristina i driver video. Scegliendo uno dei due pulsanti vengono ripristinati i driver sostituiti al momento dell'installazione di DirectX. Se tali pulsanti sono disattivati, significa che non vi sono driver precedenti da ripristinare. In tal caso, contattare il produttore dell'hardware per ottenere i driver più recenti.

Nella finestra del programma di installazione di DirectX è inoltre presente una casella di controllo che consente di disattivare l'accelerazione hardware Direct3D, operazione già possibile nella finestra dello strumento di diagnostica. Per informazioni, vedere Modifica delle impostazioni predefinite.


Salvataggio delle informazioni

Esistono due modi per salvare le informazioni raccolte dallo strumento di diagnostica DirectX:

  • Fare clic sul pulsante Salva tutte le informazioni. Le informazioni presenti in tutte le schede verranno salvate in un file con il nome e nella posizione specificati.

Se si dispone della versione per sviluppatori dello strumento:

  • Fare clic sul pulsante Rapporto nella scheda Altri argomenti. Verrà visualizzata la finestra di dialogo Informazioni rapporto bug. Una volta inseriti tutti i dati necessari, fare clic sul pulsante Invia. Verrà creato un file di testo denominato Dxdiag.txt nella directory dei file temporanei del sistema, ad esempio C:\Windows\Temp, che verrà visualizzato in una finestra del Blocco note. Questo file contiene le stesse informazioni raccolte con il metodo precedente, oltre ad altre informazioni immesse dall'utente.


Creazione di rapporti sui problemi

Se si verifica un problema che si ritiene correlato a un componente o driver DirectX, contattare il Servizio Supporto Tecnico Clienti Microsoft. Per informazioni, vedere la sezione della risoluzione dei problemi nella Guida in linea di Microsoft® Windows®. Se si dispone della versione per sviluppatori dello strumento di diagnostica, sarà possibile segnalare il problema tramite posta elettronica.

Nota Le istruzioni che seguono sono relative alla versione per sviluppatori dello strumento. Le opzioni descritte non sono disponibili per tutti gli utenti.

Per segnalare un problema tramite posta elettronica:

  1. Nella scheda Altri argomenti fare clic sul pulsante Rapporto.
  2. Immettere tutte le informazioni necessarie nella finestra di dialogo Informazioni rapporto bug, quindi fare clic su Invia.
  3. Verrà visualizzato un messaggio che fornisce il percorso completo del file di testo creato e l'indirizzo di posta elettronica. Prendere nota dell'indirizzo di posta elettronica. Scegliere OK. Il file Dxdiag.txt verrà visualizzato in una finestra del Blocco note.
  4. Scegliere Seleziona tutto dal menu Modifica del Blocco note, quindi Copia per copiare l'intero contenuto del file negli Appunti.
  5. Aprire un nuovo messaggio nel programma di posta elettronica in uso e incollare il contenuto degli Appunti nel corpo del messaggio. Inviare il messaggio all'indirizzo annotato al passaggio 3.


Argomento non trovato

Non è stato trovato alcun argomento corrispondente. Di seguito sono descritte le possibili cause e le soluzioni applicabili:

  • Il file (.chm) contenente l'argomento di destinazione non si trova nella posizione prevista.

    Soluzione: ripetere l'installazione della Libreria MSDN.

  • Il file (.chm) contenente l'argomento corrente o di destinazione non è aggiornato e il collegamento non è più valido.

    Soluzione: installare la versione più aggiornata della Libreria MSDN.

  • Il CD della Libreria MSDN non è inserito nell'unità CD-ROM.

    Soluzione: inserire il CD della Libreria MSDN nell'unità corrispondente.

Data creazione: giovedì 29 luglio 1999